ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pavel Petroshenko <pa...@petroshenko.com>
Subject Re: Node.js Thin Client @ npmjs
Date Thu, 24 May 2018 17:03:20 GMT
Igor,

Are you proposing to update the Thin Client versions on every Ignite
release regardless of the changes made to them?

I tend to think that an independent versioning scheme for the Thin Clients
might be more flexible/meaningful.

p.

On Thu, May 24, 2018 at 2:04 AM, Igor Sapego <isapego@apache.org> wrote:

> 1. Sounds OK for me.
> 2. Since Node.js client is going to be included in Ignite releases,
>     I guess it make sense to align its version with the version of
>     Ignite, i.e. 2.6, etc...
>
> Best Regards,
> Igor
>
> On Thu, May 24, 2018 at 9:02 AM, Pavel Petroshenko <pavel@petroshenko.com>
> wrote:
>
> > Igniters,
> >
> > I'm finalizing the docs (with regards to installation instructions) for
> the
> > Node.js Thin Client at readme.io. And I've got a couple of questions.
> >
> > 1. Does the name "apache-ignite-client" for the Node.js Thin Client
> > npm module sound good to everyone? This name will be used to install the
> > client library, for example:
> >
> > npm i -g apache-ignite-client
> >
> > or include it from the source code:
> >
> > const IgniteClient = require('apache-ignite-client');
> >
> > 2. Which version should the npm module get: 1.0 or does it need to be
> > aligned with the Ignite release version when it's published or compatible
> > with, i.e. 2.4, 2.5 or 2.6?
> >
> > thanks,
> > p.
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message